%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-iniconfig
Version:       2.0.0
Release:       2mamba
Summary:       A small and simple INI-file parser module
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pytest-dev/iniconfig
Source:        https://pypi.debian.net/iniconfig/iniconfig-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n iniconfig-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Tue Aug 15 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- rebuilt with python 3.10

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Mar 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- package created using the webbuild interface
